#数据源配置
spring:
  redis:
    ##redis 单机环境配置
    ##将docker脚本部署的redis服务映射为宿主机ip
    ##生产环境推荐使用阿里云高可用redis服务并设置密码
    host: 10.0.0.1
    port: 6379
    password:
    database: 3
    ssl: false
    ##redis 集群环境配置
    #cluster:
    #  nodes: 127.0.0.1:7001,127.0.0.1:7002,127.0.0.1:7003
    #  commandTimeout: 5000
  datasource:
    url: jdbc:mysql://10.0.0.2:3306/guosen_activity?useSSL=false&useUnicode=true&characterEncoding=utf-8&zeroDateTimeBehavior=convertToNull&transformedBitIsBoolean=true&serverTimezone=GMT%2B8&nullCatalogMeansCurrent=true&allowPublicKeyRetrieval=true
    username: root
    password: guoxin-shop

#第三方登陆
social:
  enabled: true
  domain: http://10.0.0.10:1777

#blade配置
blade:
  #分布式锁配置
  lock:
    ##是否启用分布式锁
    enabled: false
    ##将docker脚本部署的redis服务映射为宿主机ip
    ##生产环境推荐使用阿里云高可用redis服务并设置密码
    address: redis://10.0.0.1:6379
  #    password: 123456
  #本地文件上传
  file:
    remote-mode: true
    upload-domain: http://localhost:8999
    remote-path: /usr/share/nginx/html


#prod 跨域由服务器nginx配置
corsConfig:
  open: true

paramManage:
  caiwuroleId: 1418103724420681729
  params: bussiness_service_rate
  bussinessRoleId: 1413055003228176386

pay:
  noticeUrl: http://8.135.22.196:9612/bussiness/pay/transferNotify
  bonusNoticeUrl: http://8.135.22.196:9612/yeePay/payByBonus/notify
  registerNoticeUrl: http://8.135.22.196:9612/yeePay/merchant/register/notify

